import { Chart, CategoryScale, LinearScale, PointElement, LineElement } from "chart.js";
import React from "react";
import { Line } from "react-chartjs-2";
import { CatHistoryRecord } from "../assets/Types";

export default function CatGraph({records} : {records: CatHistoryRecord[]}){
    Chart.register(CategoryScale, LinearScale, PointElement, LineElement);

    const data = {
        labels: ["Lundi", "Mardi", "Mercredi", "Jeudi", "Vendredi", "Samedi", "Dimanche"],
        datasets: [
            {
                label: 'Cats inside',
                data: records.map(record => record.cats_inside),
                fill: false,
                backgroundColor: 'rgb(255, 99, 132)',
                borderColor: 'rgba(255, 99, 132, 0.2)',
                tension: 1
            }
        ]
    }

    return(
        <React.Fragment>
            <Line data={data}/>
        </React.Fragment>
    )
}